clc
clear all
filename_EOG = 'vysledky EOG_druh mereni.xlsx';
filename_WBB = 'vysledky WBB_druh mereni.xlsx';
druh_mereni={'otevřené oči','otevřené oči - fixace','zavřené oči','bod vysoko','bod na zemi','pohyb svisle','pohyb vodorovně','pohyb vodorovně + svisle','kruhový pohyb','zmenšování + zvětšování bodu','video - vzdalování objektu','text jednoduchý','text anglicky','text - zhoršená čitelnost'};
parametry={'amplituda x','amplituda y', 'délka křivky','celková plocha', 'střední poloměr', 'RMS','plocha 95% elipsy'};
sloupce=1:20;
filename_vysl='korelace_parametry.xlsx';
filename_vysl_p='korelace_parametry_p.xlsx';
for m=1:14 %korelace - pro každé měření
file_EOG=xlsread(filename_EOG,m);
file_WBB=xlsread(filename_WBB,m);
 for n=1:7 %parametr
        y=(file_EOG(n,:))';
        x=(file_WBB(n,:))';
[r,p] = spear(x,y);
tabulka_r(m,n)=r;
tabulka_p(m,n)=p;

figure(m)
subplot(4,2,n)
scatter(x,y,5)
title(parametry{n})
xlabel('WBB')
ylabel('EOG')
hold on


end
end
xlswrite(filename_vysl,druh_mereni',1,'A2');
xlswrite(filename_vysl,parametry,1,'B1');
xlswrite(filename_vysl,tabulka_r,1,'B2');

xlswrite(filename_vysl_p,druh_mereni',1,'A2');
xlswrite(filename_vysl_p,parametry,1,'B1');
xlswrite(filename_vysl_p,tabulka_p,1,'B2');

